package PublishButtonChanger::CMS;

use strict;

sub confirm {
    my ($cb, $app, $tmpl) = @_;

    my $old = <<HERE;
<mt:include name="include/footer.tmpl" id="footer_include">
HERE
    $old = quotemeta($old);

    my $plugin = MT->component("PublishButtonChanger");
    my $scope = "blog:" . $app->blog->id;
    my $publish_message = $plugin->get_config_value('publish_message', $scope);
    my $update_message = $plugin->get_config_value('update_message', $scope);
    my $draft_message = $plugin->get_config_value('draft_message', $scope);

    my $new = <<HERE;
<mt:setvarblock name="jq_js_include" append="1">
    jQuery('button.publish').click(function(event) {
        var status = jQuery('select#status').val();
        if (status == 2) {
            if (jQuery('button.publish').attr('title') == '<__trans phrase="Publish this [_1]" params="<mt:var name="object_label">" escape="html">') {
                message = '$publish_message';
            } else if (jQuery('button.publish').attr('title') == '<__trans phrase="Update this [_1]" params="<mt:var name="object_label">" escape="html">') {
                message = '$update_message';
            }
            if (window.confirm(message)) {
                document.entry_form.submit();
            } else {
                return false;
            }
        } else if (status == 1) {
            if (jQuery('button.publish').attr('title') == '<__trans phrase="Unpublish this [_1]" params="<mt:var name="object_label">" escape="html">') {
                if (window.confirm('$draft_message')) {
                    document.entry_form.submit();
                } else {
                    return false;
                }
            }
        }
    });
</mt:setvarblock>
<mt:include name="include/footer.tmpl" id="footer_include">
HERE

    $$tmpl =~ s/$old/$new/;
}

1;
